#-*- Mode: CPerl -*-
##
## File: DDC.pm
## Author: Bryan Jurish <moocow@cpan.org>
## Description:
##  + DDC Query utilities: top-level
##  + Thu, 24 Sep 2015 13:40:22 +0200 : discovered name conflict with
##    Torsten Raudssus' "DDC" in the "Data-Coloured" distribution ( https://metacpan.org/pod/DDC )
##  + moved top-level entry point for the DDC-concordance search engine utilities
##    to DDC::Concordance
##======================================================================

package DDC;
use DDC::Concordance;
our $VERSION = $DDC::Concordance::VERSION;

1; ##-- be happy

##======================================================================
## Docs
=pod

=head1 NAME

DDC - backwards-compatible entry point for DDC::Concordance

=head1 SYNOPSIS

 use DDC;                ##-- DEPRECATED
 use DDC::Concordance;   ##-- safer!

 #... stuff happens ...

=cut

##======================================================================
## Description
=pod

=head1 DESCRIPTION


This deprecated package doesn't do anything but load the DDC::Concordance
module.  See L<DDC::Concordance> for details.

=cut


##======================================================================
## Footer
=pod

=head1 ACKNOWLEDGEMENTS

perl by Larry Wall.

=head1 AUTHOR

Bryan Jurish E<lt>moocow@cpan.orgE<gt>

=head1 COPYRIGHT

Copyright (c) 2006-2015, Bryan Jurish.  All rights reserved.

This package is free software.  You may redistribute it
and/or modify it under the same terms as Perl itself.

=head1 SEE ALSO

perl(1)

=cut
